Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class ZipFileOutputFactory

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.ZipFileOutputFactory

All Implemented Interfaces:
  ExportOutputFactory

    public class ZipFileOutputFactory

extends java.lang.Object
implements ExportOutputFactory

Version:
  $Id: ZipFileOutputFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ZipFileOutputFactory()`

Method Summary
`ExportOutput` | `createOutput(Parameters parameters)`
`int` | `getCompressionLevel()`
`java.lang.String` | `getZipFileParameter()`
`boolean` | `matches(Parameters parameters)`
`void` | `setCompressionLevel(int compressionLevel)`
`void` | `setZipFileParameter(java.lang.String exportFolderParameter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipFileOutputFactory

    public ZipFileOutputFactory()

Method Detail

### matches

    public boolean matches(Parameters parameters)

  Specified by:
    `matches` in interface `ExportOutputFactory`

### createOutput

    public ExportOutput createOutput(Parameters parameters)

  Specified by:
    `createOutput` in interface `ExportOutputFactory`

### getZipFileParameter

    public java.lang.String getZipFileParameter()

### setZipFileParameter

    public void setZipFileParameter(java.lang.String exportFolderParameter)

### getCompressionLevel

    public int getCompressionLevel()

### setCompressionLevel

    public void setCompressionLevel(int compressionLevel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.